% Quadratic matrix polynomial: p(\lambda)=A_0+A_1\lambda+A_2\lambda^2
    %Example1:    
        A_0=10^(-18)*rand(2,2);
        A_1=rand(2,2);
        A_2=10^(-18)*rand(2,2);
        a=[A_0,A_1,A_2];
        [eigns,eignvs,bkerr]=tropicalscaling(a);


    %Example2: 
        n=10;
        A_0=rand(n,n);  A_0=(A_0/norm(A_0,2)); A_0=6.01*10^(-3)*A_0;
        A_1=rand(n,n);  A_1=(A_1/norm(A_1,2)); A_1=4.73*10^3*A_1;
        A_2=rand(n,n); A_2=(A_2/norm(A_2,2)); A_2=5.54*10^(-5)*A_2;
        a=[A_0,A_1,A_2];
        [eigns,eignvs,bkerr]=tropicalscaling(a)
        
    %Example3: 
        n=40;
        A_0=rand(n,n);  A_0=(A_0/norm(A_0,2)); A_0=10^5*A_0;
        A_1=rand(n,n);  A_1=(A_1/norm(A_1,2)); A_1=10^3*A_1;
        A_2=rand(n,n); A_2=(A_2/norm(A_2,2)); A_2=10^(-6)*A_2;
        a=[A_0,A_1,A_2];
        [eigns,eignvs,bkerr]=tropicalscaling(a);
        
%General matrix polynomial
    %Example1:
        n=20;
        A_0=rand(n,n);  A_0=(A_0/norm(A_0,2)); A_0=10^(-3)*A_0;
        A_1=rand(n,n);  A_1=(A_1/norm(A_1,2)); A_1=10^2*A_1;
        A_2=rand(n,n); A_2=(A_2/norm(A_2,2)); A_2=10^2*A_2;
        A_3=rand(n,n); A_3=(A_3/norm(A_3,2)); A_3=10^(-1)*A_3;
        A_4=rand(n,n); A_4=(A_4/norm(A_4,2)); A_4=10^(-4)*A_4;
        A_5=rand(n,n); A_5=(A_5/norm(A_5,2)); A_5=10^5*A_5;
        a=[A_0,A_1,A_2,A_3,A_4,A_5];
        [eigns,eignvs,bkerr]=tropicalscaling(a);
    %Example2:
        n=8;
        A_0=rand(n,n);  A_0=(A_0/norm(A_0,2)); A_0=10^(-5)*A_0;
        A_1=rand(n,n);  A_1=(A_1/norm(A_1,2)); A_1=10^(-2)*A_1;
        A_2=rand(n,n); A_2=(A_2/norm(A_2,2)); A_2=10^(-3)*A_2;
        A_3=rand(n,n); A_3=(A_3/norm(A_3,2)); A_3=10^(-4)*A_3;
        A_4=rand(n,n); A_4=(A_4/norm(A_4,2)); A_4=10^(2)*A_4;
        A_5=rand(n,n); A_5=(A_5/norm(A_5,2)); 
        A_6=rand(n,n); A_6=(A_6/norm(A_6,2)); A_6=10^3*A_6;        
        A_7=rand(n,n); A_7=(A_7/norm(A_7,2)); A_7=10^(-3)*A_7;
        A_8=rand(n,n); A_8=(A_8/norm(A_8,2)); A_8=10^4*A_8;
        A_9=rand(n,n); A_9=(A_9/norm(A_9,2)); A_9=10^2*A_9;
        A_10=rand(n,n); A_10=(A_10/norm(A_10,2)); A_10=10^5*A_10;
        a=[A_0,A_1,A_2,A_3,A_4,A_5,A_6,A_7,A_8,A_9,A_10];
        [eigns,eignvs,bkerr]=tropicalscaling(a);
        
        